package com.ejie.ab79.model;

import java.util.Date;

import com.ejie.ab79.model.expedientes.Expedientes;
import com.ejie.ab79.model.inspecciones.Inspecciones;
import com.ejie.ab79.model.procedimientos.Procedimientos;

/**
 * RelEstIns  
 * 
 *  
 */

public class RelEstIns implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelEstIns;
	private Inspecciones inspeccionBD;
	private Integer idTercero;
	private Integer idDireccion;
	private String titulo;
	private String folderId;
	private String usuarioRegistro;
	private Inspecciones inspeccion;
	private Expedientes expedienteOrigen;
	private String urlAB63;
	private String identificadorEstablecimiento;
	private String usuarioUltmodificacion;
	private Integer idExpedienteOrigen;

	private Procedimientos procedimiento;
	
	public RelEstIns() {
	}

	public RelEstIns(Integer idRelEstIns) {
		this.idRelEstIns = idRelEstIns;
	}

	public RelEstIns(Integer idRelEstIns, Inspecciones inspeccionBD, Integer idTercero, Integer idDireccion,
			String titulo, String folderId, Date fechaRegistro, String usuarioRegistro, Procedimientos procedimiento) {

		this.idRelEstIns = idRelEstIns;
		this.inspeccionBD = inspeccionBD;
		this.idTercero = idTercero;
		this.idDireccion = idDireccion;
		this.titulo = titulo;
		this.folderId = folderId;
		this.usuarioRegistro = usuarioRegistro;
		
		this.procedimiento = procedimiento;
	}

	public Integer getIdRelEstIns() {
		return this.idRelEstIns;
	}

	public void setIdRelEstIns(Integer idRelEstIns) {
		this.idRelEstIns = idRelEstIns;
	}

	public Inspecciones getInspeccionBD() {
		return this.inspeccionBD;
	}

	public void setInspeccionBD(Inspecciones inspeccionBD) {
		this.inspeccionBD = inspeccionBD;
	}

	public Integer getIdTercero() {
		return this.idTercero;
	}

	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	public Integer getIdDireccion() {
		return this.idDireccion;
	}

	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}

	public String getTitulo() {
		return this.titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getFolderId() {
		return this.folderId;
	}

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getUsuarioUltModificacion() {
		return this.usuarioUltmodificacion;
	}

	public void setUsuarioUltModificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public Inspecciones getInspeccion() {
		return this.inspeccion;
	}

	public void setInspeccion(Inspecciones inspeccion) {
		this.inspeccion = inspeccion;
	}

	public Expedientes getExpedienteOrigen() {
		return this.expedienteOrigen;
	}

	public void setExpedienteOrigen(Expedientes expedienteOrigen) {
		this.expedienteOrigen = expedienteOrigen;
	}

	public String getUrlAB63() {
		return urlAB63;
	}

	public void setUrlAB63(String urlAB63) {
		this.urlAB63 = urlAB63;
	}

	public String getIdentificadorEstablecimiento() {
		return identificadorEstablecimiento;
	}

	public void setIdentificadorEstablecimiento(String identificadorEstablecimiento) {
		this.identificadorEstablecimiento = identificadorEstablecimiento;
	}

	public Integer getIdExpedienteOrigen() {
		return idExpedienteOrigen;
	}

	public void setIdExpedienteOrigen(Integer idExpedienteOrigen) {
		this.idExpedienteOrigen = idExpedienteOrigen;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelEstIns: ").append(this.idRelEstIns).append(" ]");
		result.append(", [ inspeccionBD: ")
				.append(this.inspeccionBD != null ? this.inspeccionBD.getIdInspeccion() : null).append(" ]");
		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");
		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");
		result.append(", [ titulo: ").append(this.folderId).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

	public Procedimientos getProcedimiento() {
		return procedimiento;
	}

	public void setProcedimiento(Procedimientos procedimiento) {
		this.procedimiento = procedimiento;
	}

}
